Skip to main content
GET
Get External Accounts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

businessId
string
required

The unique identifier for the business

Response

List of external accounts linked to a business

id
string

Unique identifier for the external account

Example:

"d43eaff3-bc75-44f6-ac37-3a305192ead6"

last4
string

Last 4 digits of the account number

Example:

"0000"

bankName
string

Name of the bank

Example:

"Example Bank"

status
enum<string>

Status of the external account. active accounts are verified and ready to use for deposits. needs_confirmation accounts were linked with micro-deposits and must be verified before they can be used.

Available options:
active,
needs_confirmation
Example:

"active"

hostedVerificationUrl
string

Hosted page for completing micro-deposit verification. Returned only while the account is awaiting verification. Prefer generating a link with mode set to verification, which keeps the account holder in your branded flow.

Example:

"https://verify.example.com/microdeposit/1A2B3C"

microdepositInfo
object

Describes the micro-deposit an account is waiting on. Returned only while the account is awaiting verification.